package com.ejie.ab79.service.propuestaSancion;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.ab79.dao.propuestaSancion.PropuestaSancionDerechosDao;
import com.ejie.ab79.model.propuestaSancion.DerechosPropuesta;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;

@Service(value = "propuestaSancionDerechosService")
public class PropuestaSancionDerechosServiceImpl implements PropuestaSancionDerechosService {
	@Autowired
	private PropuestaSancionDerechosDao propuestaSancionDerechosDao;

	@Override
	public TableResponseDto<DerechosPropuesta> filter(DerechosPropuesta derechosPropuesta,
			TableRequestDto tableRequestDto, boolean startsWith) {

		// List<DerechosPropuesta> listaDerechos =
		// this.propuestaSancionDerechosDao.findAllLike(derechosPropuesta,
		// tableRequestDto, false);
		// for (DerechosPropuesta derecho : listaDerechos) {
		// // TODO
		// }

		return null;
	}

	@Override
	public DerechosPropuesta add(DerechosPropuesta derechosPropuesta) {
		return propuestaSancionDerechosDao.add(derechosPropuesta);
	}

	@Override
	public void remove(DerechosPropuesta filterDerechos) {
		this.propuestaSancionDerechosDao.remove(filterDerechos);

	}

	@Override
	public long findAllCount(DerechosPropuesta filterDerechos) {
		return this.propuestaSancionDerechosDao.findAllCount(filterDerechos);

	}

	@Override
	public List<DerechosPropuesta> findAllDerechosPropuesta(DerechosPropuesta filterDerechos,
			TableRequestDto tableRequestDto) {
		return propuestaSancionDerechosDao.findAll(filterDerechos, tableRequestDto);
	}

}
